# Gearman Command Line Tool

Command line client for Gearmand

## SYNOPSIS

Common options

-f <function>

  Function name to use for jobs (can give many)

-h <host>

  Job server host

-H

  Print this help menu

-p <port>

  Gearman server port

-t <timeout>

  Timeout in milliseconds

-i <pidfile>

  Create a pidfile for the process

-n

  In client mode run one job per line, in worker mode send data packet for each line

-N

  Same as -n, but strip off the newline

Client options

-b

  Run jobs in the background

-I

  Run jobs as high priority

-L

  Run jobs as low priority

-P

  Prefix all output lines with functions names

-s

  Send job without reading from standard input

-u <unique>

  Unique key to use for job

Worker options*

-c <count>

  Number of jobs for worker to run before exiting

-w

  Run in worker mode

## DESCRIPTION

With gearman you can run client and worker functions from the command line.

The environmental variable GEARMAN_SERVER can be used to specify multiple gearmand servers. Please see the c:func:'gearman_client_add_servers' for an explanation of the required syntax.

## HOME

To find out more information please check: http://gearman.info/

## SEE ALSO

gearmand(8) libgearman(3)